Name:           sercd
Version:        3.0.0
Release:        1%{?dist}
Summary:        RFC 2217 Serial Communications Daemon

Group:          Applications/Communications
License:        GPLv2+
URL:            https://sourceforge.net/projects/sercd/
Source0:        https://downloads.sourceforge.net/project/%{name}/%{name}/%{version}/%{name}-%{version}.tar.gz

Patch0:         0001-systemd-add-unit-files.patch

BuildRequires:  autoconf automake
BuildRequires:  systemd-devel
BuildRequires:  gcc
BuildRequires:  systemd

%description
sercd is an RFC 2217-compliant serial port redirector. It lets you share a
serial port through a network. It is based on sredird. The RFC2217 protocol is
an extension to telnet and allows changing communication port parameters.


%prep
%setup -q
%patch0 -p1


%build
autoreconf -fi
%configure
make %{?_smp_mflags}


%install
%make_install

mkdir -p %{buildroot}%{_sysconfdir}/sysconfig
install -pm644 sercd.sysconfig %{buildroot}%{_sysconfdir}/sysconfig/sercd


%systemd_post sercd.socket


%files
%{_sbindir}/sercd
%{_mandir}/man8/sercd.8*
%{_unitdir}/sercd.socket
%{_unitdir}/sercd@.service
%config(noreplace) %{_sysconfdir}/sysconfig/sercd
%doc AUTHORS
%doc README
%doc TODO
%doc sercd.xinetd
%license COPYING


%changelog
* Thu Sep  7  2017 Lubomir Rintel <lkundrak@v3.sk> - 3.0.0-1
- Initial packaging
